Summary
Create Trigger
Description
Create a new Trigger.
Route
POST /operations-manager/triggers
Roles
admin
apiwrite
engineering
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| trigger |
object |
yes |
The details of the Trigger document to be created. |
Copied to Clipboard
{
"title": "trigger",
"$schema": "http://json-schema.org/draft-07/schema",
"$id": "trigger-create",
"oneOf": [
{
"name": "myCoolDocumentName",
"type": "endpoint",
"routeName": "UoXEkc",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "dc885cde098207e4fd3649df",
"lastExecuted": null,
"migrationVersion": -72174617,
"createdBy": "Pronghorn",
"created": "2012-07-11T07:21:20.128Z",
"lastUpdatedBy": "3976d299a994e0a641ec5bc3",
"lastUpdated": "1981-06-04T01:36:28.964Z",
"verb": "POST",
"schema": null,
"jst": null
},
{
"name": "myCoolDocumentName",
"type": "eventSystem",
"topic": "pariatur culpa incididunt",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "39a9d58b63c687c350c699ec",
"lastExecuted": null,
"migrationVersion": -87330309,
"createdBy": "Pronghorn",
"created": "1985-10-13T14:28:59.855Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "2000-05-18T14:49:51.43Z",
"source": "mollit adipisicing dolor",
"legacyWrapper": false,
"jst": "759ec990de14e65748de7cf3"
},
{
"name": "myCoolDocumentName",
"type": "manual",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "ad4b998e7391336b7ac47ca7",
"lastExecuted": null,
"migrationVersion": -72215442,
"createdBy": "9ee8fd0a217b3ec65b01972e",
"created": "2017-03-27T05:56:19.472Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1973-01-24T00:34:58.142Z",
"formData": {
"ip": "1.2.3.4",
"name": "myNewDevice"
},
"formSchemaHash": "deserunt",
"legacyWrapper": false,
"formId": "3f3c3859e01c9920b2ada684"
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "4669edcdf74cf6f52810a948",
"lastExecuted": null,
"migrationVersion": -79731626,
"createdBy": "2a92be29c3bc42d4546a45b1",
"created": "1994-08-27T04:39:36.928Z",
"lastUpdatedBy": "31a5d5653ecf2c3784a189f8",
"lastUpdated": "1973-02-12T18:44:02.64Z",
"repeatInterval": 120000,
"formId": "be3c01f8ba039f66081c572c"
}
]
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| createdTigger |
object |
The result of the create operation. |
Copied to Clipboard
{
"message": "Successfully imported 3 of 4 documents",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "9580ffb1cce160eb821aa1c2",
"lastExecuted": 58570170,
"migrationVersion": -70258094,
"createdBy": "5f2674a70ac94f9353e35e3a",
"created": "1978-06-26T23:26:17.27Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1988-11-28T10:56:10.104Z",
"_id": "e2f70d39212df0968215622d"
}
}